//////////////////////////////////////////////////////////////////////
//
// File:     HtmlCollector.java
// Project:  Java-based html tag extractor
// Author:   Scott Sanner, Stanford University
// Date:     5/25/2000
//
//////////////////////////////////////////////////////////////////////

// Package definition
package Extractor;

// Main interface - Represents a set of tokenized html documents
public interface HtmlCollector
{
	public void finish       ();
	public void addTag       (String t) ;
	public void addCloseTag  (String t);
	public void addComment   (String t);
	public void addTextString(String t);
	public void addNewline   (String t); 
	public void addAnnotation(String t);
}
